foreach o in $outcomes {

	est clear // clear all previous estimates
	
	di "`o'"

	foreach d in $durations {
		
		di "`d'"
		
		* without covariates
		quietly reg `o' $regressors if numero_mois == `d' & $condition, vce(cluster kcala)
		est store `o'_`d'_1
		quiet sum `o' if supercontrole==1 & numero_mois == `d' & $condition
		estadd scalar supercontrole_mean = r(mean): `o'_`d'_1

		* with covariates 
		quietly reg `o' $regressors $covariates if numero_mois == `d' & $condition, vce(cluster kcala)
		est store `o'_`d'_2
		
		}
		
	esttab `o'_${d1}_1 `o'_${d1}_2 ///
		`o'_${d2}_1 `o'_${d2}_2 ///
		`o'_${d3}_1 `o'_${d3}_2 ///
		`o'_${d4}_1 `o'_${d4}_2 ///
		using "benghalem-cahuc-villedieu-table-B5-`o'-original.tex", ///
			mgroups("$d1 months" "$d2 months" "$d3 months"  "$d4 months", pattern(1 0 1 0 1 0 1 0) ///
					prefix(\multicolumn{@span}{c}{) suffix(}) ///
					span erepeat(\cmidrule(lr){@span})) ///
			keep($regressors) ///
			cells(b(star fmt(4)) se(par fmt(4)) p(par([ ]) fmt(3))) ///
			stats(supercontrole_mean N, fmt(2 0) labels("Mean super control" "N")) ///
			nomtitles ///
			prehead(\begin{tabular}{lcccccccc} ///
					\hline\hline) ///
			posthead(\hline) ///
			postfoot(\hline \end{tabular}) ///
			indicate(Covariates = femme) ///
			mlabels(none) ///
			collabels(none) ///
			varlabels(treated "Treated ($\beta$)" no_supercontrole "In a treated area ($\delta$)") ///
			starlevels(* 0.10 ** 0.05  *** 0.01) /// 
			modelwidth(3) /// 
			replace
}
