********************************************************************************
********************************************************************************
* Heterogeneous trt effect

* This code creates a sample of the final data to be used in the 
* heterogeneous trt effect analysis 

********************************************************************************
********************************************************************************

clear all
set more off

* Personalize the file path below
gl testing_AR /Users/pv/Dropbox/Testing_AR/
*gl testing_AR "/Users/pierrecahuc/Dropbox/Testing/Testing_AReduite/"
*gl testing_AR "/Users/helene/Dropbox/#Work/#Projets/Testing AR/Testing_AR/"

gl testing_AR_in "${testing_AR}Prog/Prog for JHR/Data/Raw data/"	
gl testing_AR_intermediate "${testing_AR}Prog/Prog for JHR/Data/Intermediate tables/"
gl testing_AR_out "${testing_AR}Prog/Prog for JHR/Data/Final table/"

********************************************************************************
* Load data 
********************************************************************************
use "${testing_AR_out}exploitation_panel_mai20.dta", clear

* covariates with continuous var 
gl controls femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
		    nombre_de_rct contrat_moins_3mois contrat_moins_12mois tx_chge proportion_de_ar ///
		    nombre_de proportion_de_ld proportion_de_sortants
			// *i.moisregion i.moisodd ///
			
* drop obs with missing covariates 
foreach var in femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
			   nombre_de_rct contrat_moins_3mois contrat_moins_12mois tx_chge proportion_de_ar nombre_de proportion_de_ld proportion_de_sortants /// // zau foreigner proportion_de_renf ///
		       moisregion moisodd {

drop if `var' == .  

}


egen kcass_g=group(kcass)
egen kcala_g=group(kcala)
egen kcqca_g=group(kcqca)
egen kcnro1_g=group(kcnro1)
egen naf_g=group(naf)
egen kcsf_g=group(kcsf)

keep if numero_mois == 0 | numero_mois == 3 | numero_mois == 6 | ///
		numero_mois == 12 | numero_mois == 24 | numero_mois == 36

keep kcrna indiv information_subset ///
	 treated no_supercontrole ///
	 numero_mois moisodd moisregion kcala_g kcass_g ///
	 age_intermediaire upper_2nd_edu naf_g kcnro1_g kcqca_g kcsf_g ///
	 iar iar_cum_norm iar_cum heures_iar_cum* revenu_iar_cum* ///
	 unemp nbj_consommes_payes_cum unemp_cum indemnisation_cum employ employ_cum ///
	 sortietotale_ac_emb2 sortietotale_ac_emb2_lq sortietotale_ac_emb2_lm ///	 
	 ${controls}

save "${testing_AR_out}sample_AR_HET.dta", replace
